## EProxyComboBox EProxyComboBox — Combo box of proxy profiles |

## Functions

GtkWidget * | e_proxy_combo_box_new ()
void | e_proxy_combo_box_refresh ()
ESourceRegistry * | e_proxy_combo_box_get_registry ()

## Types and Values

struct | EProxyComboBox

## Includes

    #include <e-util/e-util.h>

## Description

EProxyComboBox is a combo box of available proxy profiles, as described by ESource instances with an ESourceProxy extension. For convenience, the combo box model's “id-column” is populated with ESource “uid” strings.

## Functions

### e_proxy_combo_box_new ()

    GtkWidget *
    e_proxy_combo_box_new (ESourceRegistry *registry);

`e_proxy_combo_box_new` is deprecated and should not be used in newly-written code.

Creates a new EProxyComboBox widget using ESource instances in `registry` .

#### Parameters

registry | an ESourceRegistry |

#### Returns

a new EProxyComboBox

### e_proxy_combo_box_refresh ()

    void
    e_proxy_combo_box_refresh (EProxyComboBox *combo_box);

`e_proxy_combo_box_refresh` is deprecated and should not be used in newly-written code.

Rebuilds the combo box model with an updated list of ESource instances that describe a network proxy profile, without disrupting the previously active item (if possible).

This function is called automatically in response to ESourceRegistry signals which are pertinent to the `combo_box` .

#### Parameters

combo_box | an EProxyComboBox |

### e_proxy_combo_box_get_registry ()

    ESourceRegistry *
    e_proxy_combo_box_get_registry (EProxyComboBox *combo_box);

`e_proxy_combo_box_get_registry` is deprecated and should not be used in newly-written code.

Returns the ESourceRegistry passed to `e_proxy_combo_box_new()`.

#### Parameters

combo_box | an EProxyComboBox |

#### Returns

an ESourceRegistry

## Types and Values

### struct EProxyComboBox

    struct EProxyComboBox {
    	GtkComboBox parent;
    	EProxyComboBoxPrivate *priv;
    };

`EProxyComboBox` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.